XnModuleExportedProductionNodeInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

void(* | GetDescription )(XnProductionNodeDescription *pDescription)
XnStatus(* | EnumerateProductionTrees )(XnContext *pContext, XnNodeInfoList *pNodesList, XnEnumerationErrors *pErrors)
XnStatus(* | Create )(XnContext *pContext, const XnChar *strInstanceName, const XnChar *strCreationInfo, XnNodeInfoList *pNeededNodes, const XnChar *strConfigurationDir, XnModuleNodeHandle *phInstance)
void(* | Destroy )(XnModuleNodeHandle hInstance)
union { |
void(* ProductionNode )(struct XnModuleProductionNodeInterface *pInterface) |
void(* Device )(struct XnModuleDeviceInterface *pInterface) |
void(* Generator )(struct XnModuleGeneratorInterface *pInterface) |
void(* MapGenerator )(struct XnModuleMapGeneratorInterface *pInterface) |
void(* Depth )(struct XnModuleDepthGeneratorInterface *pInterface) |
void(* Image )(struct XnModuleImageGeneratorInterface *pInterface) |
void(* IR )(struct XnModuleIRGeneratorInterface *pInterface) |
void(* User )(struct XnModuleUserGeneratorInterface *pInterface) |
void(* Hands )(struct XnModuleHandsGeneratorInterface *pInterace) |
void(* Gesture )(struct XnModuleGestureGeneratorInterface *pInterface) |
void(* Scene )(struct XnModuleSceneAnalyzerInterface *pInterface) |
void(* Audio )(struct XnModuleAudioGeneratorInterface *pInterface) |
void(* Recorder )(struct XnModuleRecorderInterface *pInterface) |
void(* Player )(struct XnModulePlayerInterface *pInterface) |
void(* Codec )(struct XnModuleCodecInterface *pInterface) |
void(* Script )(struct XnModuleScriptNodeInterface *pInterface) |
void(* General )(void *pInterface) |
} | GetInterface

## Member Data Documentation

## Audio

void(* XnModuleExportedProductionNodeInterface::Audio) (struct XnModuleAudioGeneratorInterface *pInterface)

## Codec

void(* XnModuleExportedProductionNodeInterface::Codec) (struct XnModuleCodecInterface *pInterface)

## Create

XnStatus(* XnModuleExportedProductionNodeInterface::Create) (XnContext *pContext, const XnChar *strInstanceName, const XnChar *strCreationInfo, XnNodeInfoList *pNeededNodes, const XnChar *strConfigurationDir, XnModuleNodeHandle *phInstance)

Creates an instance of this generator.

Parameters

  pContext | [in] Current OpenNI context
  strInstanceName | [in] The name of this new instance.
  strCreationInfo | [in] Optional creation info (returned from enumeration).
  pNeededNodes | [in] A list of inputs for this generator.
  strConfigurationDir | [in] The module configuration dir, or NULL if it doesn't have one.
  phInstance | [out] A handle to the created instance.

## Depth

void(* XnModuleExportedProductionNodeInterface::Depth) (struct XnModuleDepthGeneratorInterface *pInterface)

## Destroy

void(* XnModuleExportedProductionNodeInterface::Destroy) (XnModuleNodeHandle hInstance)

Destroys an instance previously created using Create().

Parameters

  hGenerator | [in] A handle to the instance to be destroyed.

## Device

void(* XnModuleExportedProductionNodeInterface::Device) (struct XnModuleDeviceInterface *pInterface)

## EnumerateProductionTrees

XnStatus(* XnModuleExportedProductionNodeInterface::EnumerateProductionTrees) (XnContext *pContext, XnNodeInfoList *pNodesList, XnEnumerationErrors *pErrors)

Find all tree possibilities for this production node.

Parameters

  pContext | [in] Current OpenNI context
  pNodesList | [in] A list to be filled with production trees.
  pErrors | [in] Optional. An enumeration errors object to be passed to enumeration functions.

## General

void(* XnModuleExportedProductionNodeInterface::General) (void *pInterface)

## Generator

void(* XnModuleExportedProductionNodeInterface::Generator) (struct XnModuleGeneratorInterface *pInterface)

## Gesture

void(* XnModuleExportedProductionNodeInterface::Gesture) (struct XnModuleGestureGeneratorInterface *pInterface)

## GetDescription

void(* XnModuleExportedProductionNodeInterface::GetDescription) (XnProductionNodeDescription *pDescription)

Gets a description of this generator.

Parameters

  pDescription | [in/out] A struct to be filled with the description.

## [union]

union { ... } XnModuleExportedProductionNodeInterface::GetInterface

Fills a struct with the entire interface exported. The type of the struct passed to this function is determined according to the type this production node declares itself. For example, a depth generator will be passed a pointer to a XnModuleDepthGeneratorInterface struct.

Parameters

  pInterface | [in/out] A pointer to a struct to be filled.

## Hands

void(* XnModuleExportedProductionNodeInterface::Hands) (struct XnModuleHandsGeneratorInterface *pInterace)

## Image

void(* XnModuleExportedProductionNodeInterface::Image) (struct XnModuleImageGeneratorInterface *pInterface)

## IR

void(* XnModuleExportedProductionNodeInterface::IR) (struct XnModuleIRGeneratorInterface *pInterface)

## MapGenerator

void(* XnModuleExportedProductionNodeInterface::MapGenerator) (struct XnModuleMapGeneratorInterface *pInterface)

## Player

void(* XnModuleExportedProductionNodeInterface::Player) (struct XnModulePlayerInterface *pInterface)

## ProductionNode

void(* XnModuleExportedProductionNodeInterface::ProductionNode) (struct XnModuleProductionNodeInterface *pInterface)

## Recorder

void(* XnModuleExportedProductionNodeInterface::Recorder) (struct XnModuleRecorderInterface *pInterface)

## Scene

void(* XnModuleExportedProductionNodeInterface::Scene) (struct XnModuleSceneAnalyzerInterface *pInterface)

## Script

void(* XnModuleExportedProductionNodeInterface::Script) (struct XnModuleScriptNodeInterface *pInterface)

## User

void(* XnModuleExportedProductionNodeInterface::User) (struct XnModuleUserGeneratorInterface *pInterface)

The documentation for this struct was generated from the following file:

- XnModuleInterface.h